### Function

# Atspi generate_mouse_event

#### Declaration [src]

    gboolean
    atspi_generate_mouse_event (
      glong x,
      glong y,
      const gchar* name,
      GError** error
    )

#### Description [src]

Synthesizes a mouse event at a specific screen coordinate. Most AT clients should use the `AccessibleAction` interface when tempted to generate mouse events, rather than this method. Event names: b1p = button 1 press; b2r = button 2 release; b3c = button 3 click; b2d = button 2 double-click; abs = absolute motion; rel = relative motion.

#### Parameters

`x`

  Type: `glong`

  A #glong indicating the screen x coordinate of the mouse event.

`y`

  Type: `glong`

  A #glong indicating the screen y coordinate of the mouse event.

`name`

  Type: `const gchar*`

  A string indicating which mouse event to be synthesized (e.g. “b1p”, “b1c”, “b2r”, “rel”, “abs”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, otherwise `FALSE`.